
############################################################################
#                                                                          #
#   Main KCPULoad sources.                                                 #
#                                                                          #
#   KCPULoad is copyright (c) 1999-2000, Markus Gustavsson                 #
#                         (c) 2002, Ben Burton                             #
#                                                                          #
#   This program is free software; you can redistribute it and/or modify   #
#   it under the terms of the GNU General Public License as published by   #
#   the Free Software Foundation; either version 2 of the License, or      #
#   (at your option) any later version.                                    #
#                                                                          #
############################################################################

INCLUDES = $(all_includes)

bin_PROGRAMS = kcpuload

kcpuload_LDFLAGS = $(KDE_RPATH) $(all_libraries)

kcpuload_LDADD = $(LIB_KDEUI)

kcpuload_SOURCES = \
	icontoggleaction.cpp \
	kcpudock.cpp \
	kcpuload.cpp \
	kcpuproc.cpp \
	main.cpp \
	statdock.cpp \
	speeddialog.cpp \
	statpopup.cpp

noinst_HEADERS = \
	icontoggleaction.h \
	kcpudock.h \
	kcpuload.h \
	kcpuproc.h \
	speeddialog.h \
	statdock.h \
	statpopup.h

METASOURCES = AUTO

appsdir = $(kde_appsdir)/System
apps_DATA = kcpuload.desktop

KDE_ICON = kcpuload

